libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa_control_info_entry Struct Reference

Description of a serialized ControlInfo entry. More...

Collaboration diagram for libcamera::ipa_control_info_entry:
[legend]

## Public Attributes
uint32_t | id
uint32_t | type
uint8_t | direction
uint8_t | padding [7]
struct ipa_control_value_entry | min
struct ipa_control_value_entry | max
struct ipa_control_value_entry | def

## Detailed Description

Description of a serialized ControlInfo entry.

## Member Data Documentation

## ◆ def

struct ipa_control_value_entry libcamera::ipa_control_info_entry::def

The description of the serialized ControlValue (def)

## ◆ direction

uint8_t libcamera::ipa_control_info_entry::direction

The directions in which the control is allowed to be sent. This is a flags value, where 0x1 signifies input (as controls), and 0x2 signifies output (as metadata).

See also
  ControlId::Direction

## ◆ id

uint32_t libcamera::ipa_control_info_entry::id

The numerical ID of the control

## ◆ max

struct ipa_control_value_entry libcamera::ipa_control_info_entry::max

The description of the serialized ControlValue (max)

## ◆ min

struct ipa_control_value_entry libcamera::ipa_control_info_entry::min

The description of the serialized ControlValue (min)

## ◆ padding

uint8_t libcamera::ipa_control_info_entry::padding[7]

Padding bytes (shall be set to 0)

## ◆ type

uint32_t libcamera::ipa_control_info_entry::type

The type of the control (defined by enum ControlType) info data (shall be a multiple of 8 bytes)

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_controls.h
- src/libcamera/ipa_controls.cpp